PETSc version 3.17.4
Fix/Edit manual page

# MATH2OPUS

"h2opus" - A matrix type for hierarchical matrices using the H2Opus package.

### Options Database Keys

| -mat_type h2opus | - matrix type to "h2opus" during a call to MatSetFromOptions()

### Notes

H2Opus implements hierarchical matrices in the H^2 flavour. It supports CPU or NVIDIA GPUs. For CPU only builds, use ./configure --download-h2opus --download-thrust to install PETSc to use H2Opus. In order to run on NVIDIA GPUs, use ./configure --download-h2opus --download-magma --download-kblas. For details and additional references, see "H2Opus: A distributed-memory multi-GPU software package for non-local operators", available at https://arxiv.org/abs/2109.05451.

### See Also

MATHTOOL, MATDENSE, MatCreateH2OpusFromKernel(), MatCreateH2OpusFromMat()

### Level

beginner

### Location

src/mat/impls/h2opus/cuda/math2opus.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages